For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Scout DocsAccess Scout
API & SDK
API & SDK
  • Endpoints
      • POSTCreate a new workflow revision
      • GETList all workflows
      • POSTCreate a new workflow
      • GETGet a workflow by ID
      • PUTUpdate a workflow
      • DELDelete a workflow
      • STREAMExecute a workflow.
      • POSTExecute a workflow with provided config.
LogoLogo
Scout DocsAccess Scout
EndpointsWorkflows

List all workflows

Beta
GET
https://api.scoutos.com/v2/workflows
GET
/v2/workflows
$curl https://api.scoutos.com/v2/workflows \
> -H "Authorization: Bearer <token>"
1{
2 "data": [
3 {
4 "workflow_config": {
5 "workflow_display_name": "Customer Onboarding",
6 "workflow_schema_version": "1.0",
7 "workflow_img_url": "https://cdn.scoutos.com/workflows/onboarding.png",
8 "workflow_description": "Automated workflow for onboarding new customers",
9 "blocks": [
10 {
11 "block_archetype_id": "email_sender",
12 "block_display_name": "Welcome Email Block",
13 "block_id": "block_001",
14 "block_inputs": {
15 "recipient_email": "newuser@example.com",
16 "email_subject": "Welcome to Our Service"
17 },
18 "is_output": false,
19 "dependencies": [
20 {
21 "block_id": "block_000",
22 "ui": {
23 "edge_type": "plusSign"
24 }
25 }
26 ],
27 "input_schema": {
28 "recipient_email": "string",
29 "email_subject": "string"
30 },
31 "ui": {
32 "dimensions": {
33 "width": 300,
34 "height": 150
35 },
36 "position": {
37 "x": 100,
38 "y": 200
39 }
40 },
41 "trigger_config": {},
42 "ignore_error": false,
43 "block_config": [
44 {
45 "id": "send_welcome_email",
46 "display_name": "Send Welcome Email",
47 "type": "boolean",
48 "default_value": true,
49 "value": true
50 }
51 ],
52 "output_schema": [
53 null
54 ]
55 }
56 ],
57 "notes": [
58 {
59 "id": "note_001",
60 "bgColor": "#FFFAE5",
61 "content": "Ensure email templates are updated quarterly.",
62 "author": "Jane Doe",
63 "ui": {
64 "dimensions": {
65 "width": 200,
66 "height": 100
67 },
68 "position": {
69 "x": 400,
70 "y": 100
71 }
72 }
73 }
74 ],
75 "placeholders": [
76 {
77 "block_id": "block_002",
78 "type": "triggerPlaceholder",
79 "ui": {
80 "dimensions": {
81 "width": 100,
82 "height": 50
83 },
84 "position": {
85 "x": 50,
86 "y": 50
87 }
88 },
89 "dependencies": [
90 {
91 "block_id": "block_001",
92 "ui": {
93 "edge_type": "plusSign"
94 }
95 }
96 ]
97 }
98 ],
99 "tags": [
100 "onboarding",
101 "email",
102 "automation"
103 ],
104 "is_tool": false
105 },
106 "last_updated_at": "2024-04-10T14:45:00Z",
107 "created_at": "2024-01-15T09:30:00Z",
108 "created_by": {
109 "type": "user",
110 "details": {
111 "user_id": "user_12345",
112 "org_id": "org_67890",
113 "scout_organization_id": "scout_org_001",
114 "email": {
115 "work": "jane.doe@scoutos.com"
116 }
117 }
118 },
119 "last_updated_by": {
120 "type": "user",
121 "details": {
122 "user_id": "user_12345",
123 "org_id": "org_67890",
124 "scout_organization_id": "scout_org_001",
125 "email": {
126 "work": "jane.doe@scoutos.com"
127 }
128 }
129 },
130 "revision_id": "rev_20240410_01",
131 "workflow_id": "wf_0001",
132 "workflow_key": "customer_onboarding_v1",
133 "is_draft": false
134 }
135 ],
136 "has_more": true,
137 "next_cursor": "2024-04-10T14:45:00Z"
138}
List all workflows in the organization
Was this page helpful?
Previous

Create a new workflow

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

sortstring or nullOptional
Field to sort by
directionstring or nullOptional
Sort in ascending or descending order
start_atstring or nullOptional

created_at to start at

limitinteger or nullOptionalDefaults to 12
Limit of records to return
querystring or nullOptional
Search query
tagsstring or nullOptional
Filter by tags
drivebooleanOptionalDefaults to false

Response

Successful Response
datalist of objects
has_moreboolean
next_cursordatetime or null

Errors

422
Unprocessable Entity Error